iPhone 1.1.4 Installer problem need help!

Discussion in 'iPhone Tips, Help and Troubleshooting' started by ForEmOnLy, Apr 11, 2008.

  1. ForEmOnLy macrumors newbie

    Joined:
    Apr 6, 2008
    #1
    Hi All,

    My iPhone cann't install any new application. Everytime when I tap the install + sign icon and select the item that I want to install, i'm get the this error msg" Error:package download failed! "
    Please let me know if there is a way to fix this.

    Thanks in advance....
     
  2. elenex50 macrumors member

    Joined:
    Feb 21, 2008
    #2
    me too

    im having a similar problem. 1.1.4 firmware sucks ass. i want to go back 1.1.3. no apps work with .4
     
  3. ForEmOnLy thread starter macrumors newbie

    Joined:
    Apr 6, 2008
    #3

Share This Page